Page MenuHomePhabricator

Disable Related pages on disambiguation pages
Closed, ResolvedPublic5 Story Points

Description

As a user, even though I appreciate Related pages recommendations on regular articles, when visiting disambiguation pages I don't care to see Related pages recommendations, so that I am less distracted.

Acceptance criteria

  • Pages for the top 10 Wikipedia languages containing known templates (e.g., English's {{Disambiguation}}, German's {{Begriffsklärung}}, and Spanish's {{desambiguación}}) do not invoke any Related pages functionality (e.g., instrumentation, loading, presentation, etc.).

Bonus points: If the known markers can be identified across all projects, cover them all.

Details

Related Gerrit Patches:
mediawiki/extensions/RelatedArticles : masterDon't hit the DB unnecessarily
mediawiki/extensions/RelatedArticles : masterDon't hit the DB unnecessarily
mediawiki/extensions/RelatedArticles : masterDisable related articles on disambiguation pages
mediawiki/extensions/RelatedArticles : masterAdd documentation

Event Timeline

dr0ptp4kt raised the priority of this task from to Needs Triage.
dr0ptp4kt updated the task description. (Show Details)
dr0ptp4kt added a project: RelatedArticles.
dr0ptp4kt moved this task to Backlog on the RelatedArticles board.
dr0ptp4kt added a subscriber: dr0ptp4kt.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 16 2016, 2:14 PM
dr0ptp4kt triaged this task as Medium priority.Feb 16 2016, 2:15 PM
dr0ptp4kt set Security to None.
Jdlrobson set the point value for this task to 2.Feb 26 2016, 11:00 PM
dr0ptp4kt raised the priority of this task from Medium to High.Aug 18 2016, 6:09 PM
MBinder_WMF changed the point value for this task from 2 to 5.Aug 22 2016, 4:25 PM

Change 306298 had a related patch set uploaded (by Sumit):
Disable related articles on disambiguation pages

https://gerrit.wikimedia.org/r/306298

Sumit added a subscriber: Sumit.Aug 23 2016, 10:46 PM

@MBinder_WMF 5 was definitely too high so let's revisit at close of sprint.

Change 306298 merged by jenkins-bot:
Disable related articles on disambiguation pages

https://gerrit.wikimedia.org/r/306298

In about 10 mins or so this will be testable on https://en.m.wikipedia.beta.wmflabs.org/wiki/Page?mobileaction=beta
Currently showing like this:

Change 307363 had a related patch set uploaded (by Bmansurov):
Add documentation

https://gerrit.wikimedia.org/r/307363

Change 307363 merged by jenkins-bot:
Add documentation

https://gerrit.wikimedia.org/r/307363

phuedx removed Sumit as the assignee of this task.Aug 30 2016, 7:55 AM
phuedx added a subscriber: phuedx.Aug 30 2016, 12:14 PM

Y'all should be able to sign this off by visiting any page listed on Special:DisambiguationPages.

^ Per my review of cea66f6c – we unnecessarily query the DB if $wgRelatedArticlesShowInFooter is falsy.

Change 307545 had a related patch set uploaded (by Phuedx):
Don't hit the DB unnecessarily

https://gerrit.wikimedia.org/r/307545

Change 307545 merged by jenkins-bot:
Don't hit the DB unnecessarily

https://gerrit.wikimedia.org/r/307545

Change 307804 had a related patch set uploaded (by Jdlrobson):
Don't hit the DB unnecessarily

https://gerrit.wikimedia.org/r/307804

@phuedx reverting has given me ownership of the patch which is not true, so you may want to reupload it yourself and give it a sanity check before I +2 again.

Change 307804 merged by jenkins-bot:
Don't hit the DB unnecessarily

https://gerrit.wikimedia.org/r/307804

ovasileva closed this task as Resolved.Aug 31 2016, 7:54 PM